//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "TDirData.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
// class TDirData
//---------------------------------------------------------------------------
// private:
//---------------------------------------------------------------------------
void __fastcall TDirData::SetDirCreationOptions(
	TDirCreationOptions ADirCreationOptions)
{
	FDirCreationOptions = ADirCreationOptions;
	Modified = true;
}
//---------------------------------------------------------------------------
void __fastcall TDirData::SetLastLocation(AnsiString ALastLocation)
{
	FLastLocation = ALastLocation;
	Modified = true;
}
//---------------------------------------------------------------------------
// protected:
//---------------------------------------------------------------------------
// public:
//---------------------------------------------------------------------------
TDirCreationOptions __fastcall TDirData::GetDefDirCreationOptions()
{
	TDirCreationOptions defDirCreationOptions;
	defDirCreationOptions.Location = TDirCreationOptions::LOCATION_DESKTOP;
	defDirCreationOptions.CustomLocation = AnsiString();
	defDirCreationOptions.Layout = TDirCreationOptions::LAYOUT_NAME_INDEX;
	defDirCreationOptions.NamePrefix = AnsiString();
	defDirCreationOptions.NameSuffix = AnsiString();
	defDirCreationOptions.IndexPrefix = AnsiString(" (");
	defDirCreationOptions.IndexSuffix = AnsiString(")");
	defDirCreationOptions.FirstIndex = 1;
	defDirCreationOptions.LastIndex = 100;
	defDirCreationOptions.CreateLocation = false;
	defDirCreationOptions.AlwaysAddIndexPart = false;
	return defDirCreationOptions;
}
//---------------------------------------------------------------------------
__fastcall TDirData::TDirData() :
	FDirCreationOptions(GetDefDirCreationOptions()),
	FLastLocation(),
	FModified(false)
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TDirData::~TDirData()
{
	// Do nothing
}
//---------------------------------------------------------------------------

