//---------------------------------------------------------------------------
#ifndef TQuoteIniFileH
#define TQuoteIniFileH
#include <Classes.hpp>
#include <IniFiles.hpp>
//---------------------------------------------------------------------------
class TQuoteIniFile : public TMemIniFile
{
private:
	char FQuoteChar;
	AnsiString __fastcall QuoteString(AnsiString AString) const;
	AnsiString __fastcall UnquoteString(AnsiString AString) const;
protected:
public:
	__fastcall TQuoteIniFile(const AnsiString AFileName);
	virtual __fastcall ~TQuoteIniFile();
	virtual AnsiString __fastcall ReadQuotedString(const AnsiString ASection,
		const AnsiString AIdent, const AnsiString ADefault);
	virtual void __fastcall WriteQuotedString(const AnsiString ASection,
		const AnsiString AIdent, const AnsiString AValue);
	__property char QuoteChar = {read=FQuoteChar, write=FQuoteChar};
};
//---------------------------------------------------------------------------
#endif

