//---------------------------------------------------------------------------
#ifndef TDirDataH
#define TDirDataH
#include <Classes.hpp>
#include "TDirCreationOptions.h"
//---------------------------------------------------------------------------
class TDirData
{
private:
	TDirCreationOptions FDirCreationOptions;
	AnsiString FLastLocation;
	bool FModified;
	__fastcall TDirData(const TDirData& ASrc);
	TDirData& __fastcall operator=(const TDirData& ASrc);
	void __fastcall SetDirCreationOptions(TDirCreationOptions
		ADirCreationOptions);
	void __fastcall SetLastLocation(AnsiString ALastLocation);
protected:
public:
	static TDirCreationOptions __fastcall GetDefDirCreationOptions();
	__fastcall TDirData();
	virtual __fastcall ~TDirData();
	__property TDirCreationOptions DirCreationOptions = {
		read=FDirCreationOptions, write=SetDirCreationOptions};
	__property AnsiString LastLocation = {read=FLastLocation,
		write=SetLastLocation};
	__property bool Modified = {read=FModified, write=FModified};
};
//---------------------------------------------------------------------------
#endif

