//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "TFileNameList.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
// class TFileNameList : public TStringList
//---------------------------------------------------------------------------
// private:
//---------------------------------------------------------------------------
int __fastcall TFileNameList::CompareStrings(const AnsiString S1,
	const AnsiString S2)
{
	return AnsiCompareFileName(S1, S2);
}
//---------------------------------------------------------------------------
// protected:
//---------------------------------------------------------------------------
// public:
//---------------------------------------------------------------------------
__fastcall TFileNameList::TFileNameList() :
	TStringList()
{
	// Do nothing
}
//---------------------------------------------------------------------------
bool __fastcall TFileNameList::TryAdd(AnsiString AString)
{
	int oldCount = Count;
	Add(AString);
	return Count > oldCount;
}
//---------------------------------------------------------------------------
bool __fastcall TFileNameList::Find(const AnsiString AString, int& AIndex)
{
	return TStringList::Find(AString, AIndex);
}
//---------------------------------------------------------------------------
int __fastcall TFileNameList::Find(AnsiString AString)
{
	int itemIndex;
	if(!TStringList::Find(AString, itemIndex)) {
		itemIndex = -1;
	}
	return itemIndex;
}
//---------------------------------------------------------------------------

